import 'package:flutter/material.dart';

class AppFonts {
  AppFonts._(); // Private constructor to prevent instantiation

  // --- Font Families ---
  static const String yekan = 'yekan';

  // --- Font Weights ---
  static const FontWeight regular = FontWeight.w400;
  static const FontWeight bold = FontWeight.w600;
  static const double _height = 1.20;

  static const TextStyle yekan61 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 61,
    height: _height,
  );

  static const TextStyle yekan49 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 48,
    height: _height,
  );

  static const TextStyle yekan39 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 39,
    height: _height,
  );

  static const TextStyle yekan31 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 31,
    height: _height,
  );

  static const TextStyle yekan25 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 25,
    height: _height,
  );

  static const TextStyle yekan24 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 24,
    height: _height,
  );

  static const TextStyle yekan20 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 20,
    height: _height,
  );

  static const TextStyle yekan18 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 18,
    height: _height,
  );

  static const TextStyle yekan16 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 16,
    height: _height,
  );

  static const TextStyle yekan14 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 13,
    height: _height,
  );



  static const TextStyle yekan13 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 13,
    height: _height,
  );


  static const TextStyle yekan12 = TextStyle(
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 12,
    height: _height,
  );


  static const TextStyle yekan10 = TextStyle(
    // Rounded from 10.24
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 10,
    height: _height,
  );


  static const TextStyle yekan8= TextStyle(
    // Rounded from 10.24
    fontFamily: yekan,
    fontWeight: regular,
    fontSize: 8,
    height: _height,
  );

  static const TextStyle yekan61Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 61,
    height: _height,
  );

  static const TextStyle yekan49Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 48,
    height: _height,
  );

  static const TextStyle yekan39Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 39,
    height: _height,
  );

  static const TextStyle yekan31Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 31,
    height: _height,
  );

  static const TextStyle yekan25Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 25,
    height: _height,
  );

  static const TextStyle yekan24Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 24,
    height: _height,
  );

  static const TextStyle yekan20Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 20,
    height: _height,
  );

  static const TextStyle yekan16Bold = TextStyle(
    // Base size bold
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 16,
    height: _height,
  );

  static const TextStyle yekan13Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 13,
    height: _height,
  );

  static const TextStyle yekan10Bold = TextStyle(
    fontFamily: yekan,
    fontWeight: bold, // Use bold weight
    fontSize: 10,
    height: _height,
  );
}
